class Yytoken{
	int field;
	String tokstring;

	Yytoken(int f, String s){
    		field = f;
    		tokstring=s;
	}

	public String tok() {
  		switch (field){

		    case -2:return("ERROR("+tokstring+")");
		    case -1:return("EOF");
		    case 0: return("IF");
		    case 1: return("ID("+tokstring+")");
		    case 2: return("NUM("+tokstring+")");
		    case 3: return("REAL("+tokstring+")");
		    default: return("");

		  }
	}
}

%%
%eofval{
return new Yytoken(-1,"");
%eofval}
%%
<YYINITIAL> "if" {return new Yytoken(0,"");}
<YYINITIAL> [a-z][a-z0-9]* {return new Yytoken(1,yytext());}
<YYINITIAL> " "|\r\n|\t {return yylex();}
<YYINITIAL> [0-9]+ {return new Yytoken(2,yytext());}
<YYINITIAL> [0-9]+"."[0-9]*|[0-9]*"."[0-9]+  {return new Yytoken(3,yytext());}
<YYINITIAL> .  {return new Yytoken(-2,yytext());}
<YYINITIAL> "--"([a-z]|" ")*\r\n {return yylex();}